{{/*
  /faq/ ページなどに対する定義．
  各ページの front matter に記述されている title 順で一覧を表示する．
  表示ページの最大数は config.toml 中の paginate 変数で定義する．
*/}}

{{ define "main" }}
  <!-- 本文 -->
  {{ .Content }}
  <!-- ページ一覧 -->
  {{- $p := .Sections }}
  {{- $pg := .Paginate $p.ByTitle }}
  <ul>
  {{- range $pg.Pages }}
    <li>
      <a href="{{ .RelPermalink }}">{{ .Title }}</a>
    </li>
  {{- end }}
  </ul>
  <!-- ページネーター -->
  {{- template "_internal/pagination.html" . }}
{{ end }}
